### SPM-Tracker Inference

This is an inference-only implementation of SPM-Tracker

* SPM-Tracker: Series-Parallel Matching for Real-Time Visual Object Tracking

-----------

### Installation

#### Prerequisite Lib

* **Python3** is required for this project.  

* You should install **PyTorch** and **Torchvision** lib firstly. The installation can refer to official repo https://pytorch.org/ .

* The other Python dependences can be installed by **pip**.

```bash
pip install -r requirements.txt
```

To fully reproduce our VOT submission results, *torch == 1.1.0* is recommended.

#### Known issue
Note that the library *torch >= 1.0.0* is not well compatible with Windows platform (more precisely, some custom operations cannot be compiled with MSVC compiler). Thus, for Windows user, *torch == 0.4.1* is recommended.

#### Compile Cython Extensions

Some components are written in Cython & CUDA. It's necessary to manually compile them.

```bash
chmod a+x build_op.sh
./build_op.sh
```

### VOT Toolkits

To evalute on VOT benchmark, the tracker command is

```octave
root_dir = 'SPM_for_VOT'
generate_python_command('run_siam_rcnn', {root_dir;sprintf('%s/lib/', root_dir)});
```

