from __future__ import absolute_import
from __future__ import division
from __future__ import print_function

from Cython.Build import cythonize
from setuptools import Extension
from setuptools import setup

import numpy as np

_NP_INCLUDE_DIRS = np.get_include()

# Extension modules
ext_modules = [
    Extension(
        name='utils.cython_bbox',
        sources=[
            'utils/cython_bbox.pyx'
        ],
        extra_compile_args=[
        ],
        include_dirs=[
            _NP_INCLUDE_DIRS
        ]
    ),
    Extension(
        name='utils.nms.cython_nms',
        sources=[
            'utils/nms/cython_nms.pyx'
        ],
        extra_compile_args=[
        ],
        include_dirs=[
            _NP_INCLUDE_DIRS
        ]
    ),]

setup(
    name='Detection',
    ext_modules=cythonize(ext_modules)
)
