import torch


def rpn_reshape(x, d):

    input_shape = x.size()
    if d > 1:
        return x.view(
                input_shape[0],
                int(d),
                int(float(input_shape[1] * input_shape[2]) / float(d)),
                input_shape[3])
    else:
        return x.view(
                input_shape[0],
                int(float(input_shape[1] * input_shape[2]) / float(d)),
                input_shape[3])



def rpn_logit_to_prob(rpn_cls_logit, use_softmax=True):
    if use_softmax:
        rpn_cls_logit_reshape = rpn_reshape(rpn_cls_logit, 2)
        rpn_cls_prob_reshape = torch.nn.functional.softmax(rpn_cls_logit_reshape, dim=1)
        rpn_cls_prob = rpn_reshape(rpn_cls_prob_reshape, rpn_cls_logit.size(1))
    else:
        rpn_cls_prob = torch.sigmoid(rpn_cls_logit)
    
    return rpn_cls_prob